GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Log::Logger Class Reference

`#include <logger.h>`

Inheritance diagram for Log::Logger:

## Public Member Functions
| Logger (std::ostream &out=std::cout)
| Constructor initializing a specific output. Default is cout.
virtual | ~Logger ()=default
| Virtual default destructor for polyphormism support.
Logger | operator<< (std::ostream &(*manip)(std::ostream &))
| << operator to manipulate stream and enter stream-specific elements (like std::endl).
template<typename T >
Logger | operator<< (const T &val)
| << operator allowing to log elements that ostream actually accepts (char, int...).

## Detailed Description

Basic LALogger for logging generic training information.

## Constructor & Destructor Documentation

## ◆ Logger()

Log::Logger::Logger | ( | std::ostream & | out = std::cout | ) |
| inline explicit

Constructor initializing a specific output. Default is cout.

Parameters

  [in] | out | The output stream the logger will send elements to.

## Member Function Documentation

## ◆ operator<<() [1/2]

template<typename T >

Logger Log::Logger::operator<< | ( | const T & | val | ) |
| inline

<< operator allowing to log elements that ostream actually accepts (char, int...).

Template Parameters

  T | The type of element that will be logged.

Parameters

  [in] | val | The element that will be logged.

Returns
  The same logger to be able to stream several things (e.g. logger<<elA<<elB).

## ◆ operator<<() [2/2]

Log::Logger Log::Logger::operator<< | ( | std::ostream &(*)(std::ostream &) | manip | ) |

<< operator to manipulate stream and enter stream-specific elements (like std::endl).

Parameters

  [in] | manip | The element that will be added.

Returns
  The samme logger to be able to stream several things (e.g. logger<<elA<<elB).

Copyright or © or Copr. IETR/INSA - Rennes (2020) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2020) Pierre-Yves Le Rolland-Raumer plero.nosp@m.lla@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2020)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/log/logger.h
- D:/a/gegelati/gegelati/gegelatilib/src/log/logger.cpp